Subject: RE: SIP Provisional Responses

From: Eric Tremblay <[email-masked]>
Date: Wed, 20 May 1998 09:40:20 -0400

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: 19 mai, 1998 19:04
> To: Eric Tremblay
> Cc: [email-masked]'
> Subject: Re: SIP Provisional Responses
> 
> 
> Eric Tremblay wrote:
> > 
> > How can the user agent server make sure that the client received the
> > "new" (180) status code?  If the server just sends one 180 
> response, it
> > can easily get lost, and the next 180 response that will be 
> sent will be
> > in response of a retransmission, which is around 30 seconds later.
> 
> The 1xx responses are not reliable.
> 
> > 
> > Should the server send more than one "new" status code?  I 
> think so, but
> > how?  I think the 180 response is important for rendering call
> > progress...
> > 
> > I understand that even if the UAC does not receives any 180 
> responses,
> > the call can be established, but I personnaly don't like 
> the UAC seeing
> > simply a transition from 100 to 200.
> 
> Why? 

Simply because I'd like the UAC to render how long the remote phone is
actually ringing.  I know that an invitation's response can transit from
100 to 200 or even be 200 without any 1xx, but this should be in the
case that the remote phone is picked up at the same time the invitation
is received.

But with unreliable 1xx responses, I I'll have to come up with another
way to do this.

EricT

Eric Tremblay       | Mediatrix Telecom
Ingénieur Stagiaire | -----------------
email: [email-masked]
Tel: +1(819)829-8749 ext. 238
Web: www.mediatrix.com